:root {
  --main-colour: #0abe28;
  --main-darker: #038624;
  --main-light: rgb(114, 248, 4);
   --bcg-main-colour: rgb(37, 37, 37);
  --bcg-main-colour-transparent: rgba(37, 37, 37, 0.555);
  --nav-bcg: rgb(10, 10, 10);
  --text-color-light: rgb(214, 214, 214);
  --text-color-light-transparent: rgba(214, 214, 214, 0.815);
  --jubmotron: rgb(233, 236, 239);
  --about: #02b17cb4;
}

*,
*::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: 80%;
}

body {
  position: relative;
  color: var(--bcg-main-colour);
  overflow-x: hidden;
}

/************************NAV******************************************/
.bg-dark {
  background-color: var(--nav-bcg) !important;
  transition: all 1s ease-in-out;
  opacity: 0.5;
}

.navbar-dark .navbar-nav .nav-link:hover {
  color: var(--text-color-light);
}

.nav-link {
  padding: 0 7rem;
}

#main-nav {
  text-transform: uppercase;
}

.navbar-brand {
  font-size: 1.5rem;
}

#main-nav .navbar-brand i {
  color: var(--main-colour);
}

.navbar-dark .navbar-nav .nav-link.active {
  color: var(--main-colour);
  font-weight: bold;
}

.navbar-dark .navbar-nav .nav-link {
  padding-top: 0.9rem;
}

#main-nav > button {
  margin-right: 1rem;
}

/************************Home******************************************/
#home {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 1)),
    url(img/tlo.jpg) center/cover no-repeat;
  background-attachment: fixed;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  text-align: center;
}

.home--caption {
  width: 100%;
  color: var(--text-color-light);
  text-transform: uppercase;
  text-shadow: 0.3rem 0.3rem 0.2rem var(--nav-bcg);
}

.home--caption h1 {
  font-size: 4rem;
}

.home--caption h3,
.home--caption h1{
  opacity: 0;
 }

 .home--caption h1{
  animation: appear 2s 0.2s forwards;
}

 .home--caption h3{
   animation: appear 2s 1s forwards;
 }

 @keyframes appear{
   0% {opacity: 0;}
   100% {opacity: 1;}
 }

.home--caption h1::first-letter,
.home--caption h3::first-letter {
  color: var(--main-colour);
  
}

/************************about******************************************/
#about {
  background: var(--jubmotron);
}

#about span {
  color: var(--main-light);
  font-weight: bolder;
}

.about__items h1 {
  font-weight: 100;
  font-size: 2rem;
  color: var(--main-colour);
}

.about__center--img {
  order: 1;
}

.about__center--text {
  order: -1;
  color: var(--main-darker);
}

.about__center--text img {
  width: 20%;
  margin: auto;
}

.about-img {
  box-shadow: 0.5rem 0.5rem 1rem rgba(10, 10, 10, 0.3);
}

.about__center--text p {
  font-size: 0.8rem;
}

#about .lead {
  color: var(--main-darker);
}

.green {
  color: var(--main-colour);
}

/************************Feature******************************************/
#feature .jumbotron {
  background: linear-gradient(
    to right bottom,
    var(--jubmotron),
    rgb(51, 185, 141, 0.6)
  );
  margin-bottom: 0;
  padding-bottom: 8rem;
}

#feature i {
  color: var(--main-colour);
  font-size: 1.5rem;
}

#feature .card {
  box-shadow: 0.5rem 0.5rem 1rem rgba(10, 10, 10, 0.3);
  border-radius: 0.5rem;
  min-width: 170px;
}

.card-title {
  font-size: 1.7rem;
}

.card-text {
  color: var(--bcg-main-colour);
}

#quota {
  min-height: 75vh;
  background: linear-gradient(rgba(0, 0, 0, 0.384), rgba(0, 0, 0, 0.3)),
    url(img/salvia.jpg) no-repeat center / cover;
  background-attachment: fixed;
  color: var(--text-color-light);
}

.quota-blackquote {
  max-width: 500px;
  border: 3px solid var(--text-color-light) !important;
  background: var(--bcg-main-colour-transparent);
}

.quota-blockquote-footer {
  color: var(--text-color-light-transparent);
}

/************************Clients******************************************/
.client__main-hr {
  width: 5%;
  border: 2px solid var(--main-colour);
  margin: 0 auto;
}

.client-item {
  max-width: 1000px;
}

.foto {
  min-width: 100px;
  min-height: 100px;
  max-width: 100px;
  max-height: 100px;
  border-radius: 50%;
  box-shadow: 0.5rem 0.5rem 2rem rgba(10, 10, 10, 0.5);
}

.foto-1 {
  background: url(img/girl.jpg) center/cover;
}

.foto-2 {
  background: url(img/boy.jpg) center/cover;
}

#client blockquote p::before {
  content: '\f10e ';
  font-family: FontAwesome;
  color: var(--main-colour);
  padding-right: 0.5rem;
  font-size: 2.5rem;
  line-height: 0;
}

#client blockquote p {
  font-size: 0.7rem;
}

/************************footer/Contact******************************************/

#contact {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 1)),
    url(img/tlo.jpg) center/cover no-repeat;
  color: var(--jubmotron);
  margin-top: -2rem;
}

#contact > i {
  font-size: 4rem;
  padding-bottom: 0.5rem;
}

#contact .socials i {
  padding: 0 0.5rem;
  font-size: 1.5rem;
}

#contact hr {
  border: 0;
  height: 1px;
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    rgba(253, 253, 253, 0.75),
    rgba(0, 0, 0, 0)
  );
}

#contact > p {
  max-width: 700px;
  margin: 1rem auto;
}

/*..........................................*/
.hr {
  width: 5%;
  border: 2px solid var(--main-light);
  margin-left: auto;
  margin-right: auto;
}

header h3 {
  font-size: 3rem;
  color: var(--main-colour);
  font-weight: lighter;
}

section {
  position: relative;
}

section::before {
  content: '';
  margin-top: -4rem;
  width: 4rem;
  position: absolute;
  top: 0;
  left: 0;
}

@media (min-width: 500px) {
  :root {
    font-size: 16px;
  }
}

@media (min-width: 576px) {
  .about__center--img {
    order: 0;
  }

  .about__center--text {
    order: 0;
  }
}

@media (min-width: 768px) {
  .navbar-expand-md .navbar-nav .nav-link {
    padding-right: 0.9rem;
    padding-left: 0.9rem;
    padding-top: 0;
  }

  .about__center--text p {
    font-size: 1rem;
  }
}

@media (min-width: 800px) {
  .about__items h1 {
    font-size: 3rem;
  }
}

@media (min-width: 992px) {
  .special {
    transform: scale(1.1);
  }
}

@media (min-width: 1000px) {
  .foto {
    min-width: 120px;
    min-height: 120px;
    max-width: 120px;
    max-height: 120px;
  }

  #feature .card {
    max-width: 320px;
  }
}
